# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
#
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.

from aliyunsdkcore.request import RpcRequest
from aliyunsdkcloudfw.endpoint import endpoint_data
import json

class CreateTrFirewallV2RoutePolicyRequest(RpcRequest):

	def __init__(self):
		RpcRequest.__init__(self, 'Cloudfw', '2017-12-07', 'CreateTrFirewallV2RoutePolicy','cloudfirewall')
		self.set_method('POST')

		if hasattr(self, "endpoint_map"):
			setattr(self, "endpoint_map", endpoint_data.getEndpointMap())
		if hasattr(self, "endpoint_regional"):
			setattr(self, "endpoint_regional", endpoint_data.getEndpointRegional())

	def get_FirewallId(self): # String
		return self.get_query_params().get('FirewallId')

	def set_FirewallId(self, FirewallId):  # String
		self.add_query_param('FirewallId', FirewallId)
	def get_SrcCandidateList(self): # Array
		return self.get_query_params().get('SrcCandidateList')

	def set_SrcCandidateList(self, SrcCandidateList):  # Array
		self.add_query_param("SrcCandidateList", json.dumps(SrcCandidateList))
	def get_Lang(self): # String
		return self.get_query_params().get('Lang')

	def set_Lang(self, Lang):  # String
		self.add_query_param('Lang', Lang)
	def get_DestCandidateList(self): # Array
		return self.get_query_params().get('DestCandidateList')

	def set_DestCandidateList(self, DestCandidateList):  # Array
		self.add_query_param("DestCandidateList", json.dumps(DestCandidateList))
	def get_PolicyType(self): # String
		return self.get_query_params().get('PolicyType')

	def set_PolicyType(self, PolicyType):  # String
		self.add_query_param('PolicyType', PolicyType)
	def get_PolicyName(self): # String
		return self.get_query_params().get('PolicyName')

	def set_PolicyName(self, PolicyName):  # String
		self.add_query_param('PolicyName', PolicyName)
	def get_PolicyDescription(self): # String
		return self.get_query_params().get('PolicyDescription')

	def set_PolicyDescription(self, PolicyDescription):  # String
		self.add_query_param('PolicyDescription', PolicyDescription)
